﻿using System;
using System.Collections.Generic;
using System.Linq;
using ArcToolkitCLI.Commands.Converters;
using CommandLine;

namespace ArcToolkitCLI.Commands
{
    [Verb("convert", HelpText = "Convert between common data types")]
    public class ConvertCommand : ICommand
    {
        [Value(0, Default = new string[0])]
        public IEnumerable<string> SubArgs { get; set; }

        public int Run()
        {
            var commandTypes = typeof(ConvertCommand).Assembly.GetTypes()
                .Where(t => !t.IsInterface && !t.IsAbstract && typeof(IConverterCommand).IsAssignableFrom(t)).ToArray();

            return Parser.Default.ParseArguments(SubArgs, commandTypes)
                .MapResult((object t) => ((IConverterCommand)t).Run(), errs => 1);
        }
    }
}
