﻿using CommandLine;

namespace ArcToolkitCLI.Commands.Options
{
    public interface IDecryptionOptions
    {
        [Option("arc-search-dir", Required = false,
            HelpText = "Directory where to search ARC file to decrypt the WARP file")]
        string ArcDirectory { get; set; }

        [Option('k', "key", HelpText = "Decryption key as a base64 string (applied to all inputs)", Required = false)]
        string DecryptionKey { get; set; }

        [Option("key-file",
            HelpText =
                "A file with decryption keys on each line. Format of the file is <decryption arc name>:<key in base64>.",
            Required = false)]
        string KeyFile { get; set; }

        [Option("warc", Required = false, HelpText = "WARC file to use for decryption")]
        string WarcFile { get; set; }
    }
}