﻿using System.Collections.Generic;
using System.IO;
using System.IO.Abstractions;

namespace ArcToolkitCLI.Util
{
    internal class Glob
    {
        public static readonly char[] GlobCharacters = {'*', '{', '}', '[', ']', '?'};

        public static IEnumerable<FileSystemInfoBase> EnumerateFiles(IEnumerable<string> patterns)
        {
            foreach (var pattern in patterns)
                if (IsGlob(pattern))
                    foreach (var fileSystemInfoBase in Ganss.IO.Glob.Expand(pattern))
                        yield return fileSystemInfoBase;
                else
                    yield return new FileInfoWrapper(new FileSystem(), new FileInfo(pattern));
        }

        public static bool IsGlob(string path)
        {
            return path.IndexOfAny(GlobCharacters) >= 0;
        }
    }
}